<!DOCTYPE html>
<html lang="en-US">
<head>
  <meta charset="utf-8">
  <title>IEEE-CS Member: Karl</title>
  <meta content="width=device-width, initial-scale=1" name="viewport">
  <link rel="stylesheet" href="https://unpkg.com/tachyons@4.12.0/css/tachyons.min.css"/>
</head>
<body>
<article>
  <header class="bg-green sans-serif">
    <div class="mw9 center pa4 pt5-ns ph7-l">
      <time class="f6 mb2 dib ttu tracked"><small>Fall 2020</small></time>
      <h3 class="f2 f1-m f-headline-l measure-narrow lh-title mv0">
        <span class="bg-black-90 lh-copy white pa1 tracked-tight">
          My IEEE-CS @ UWM Member Page
        </span>
      </h3>
      <h4 class="f3 fw1 georgia i">This is Karl's Member Page, there probably isn't much here yet.</h4>
      <h5 class="f6 ttu tracked black-80">By Karl</h5>
    </div>
  </header>
  <div class="pa4 ph7-l georgia mw9-l center">
      <p class="f5 f3-ns lh-copy measure georgia">
        Hello all, you've stumbled upon my member page at the IEEE-CS. I will post links here to tech articles I find interesting, and mention projects that I am working on.
      </p>
      <p class="f5 f3-ns lh-copy measure georgia">
        I use GNU Emacs for primarily all of my development, while the learning curve is high for new users, the power that you get from the plugins and keybindings makes it irreplaceable. Unlike more graphically orientated IDE's, Emacs can make an insane amount of functions, settings, and features available to the user via commands i.e. </p> <pre>M-x highlight-regexp</pre>
      <p class="f5 f3-ns lh-copy measure georgia"> and not clutter up the UI. There are plugins for even lesser used programming languages like Standard ML, which will come in handy for certain classes at UWM. You can also write new functions using elisp, and find plugins using the built in package manager (and also set custom repositories).</p>

      <p class="f5 f3-ns lh-copy measure georgia">For my operating system, I use GNU/Linux exclusively. I've sort of settled on Debian GNU/Linux, but that doesn't mean that I'll never think about switching to another distro, even after 13 years of using GNU/Linux. I just cannot stand Microsoft Windows because:<br><span class="f6 i green">- and this is not an exhaustive list -</span></p>

      <ul class="list pl0 ml0 mw5 ba b--light-silver br3">
	<li class="ph3 pv2 bb b--light-silver">It's slow</li>
	<li class="ph3 pv2 bb b--light-silver">It's buggy</li>
	<li class="ph3 pv2 bb b--light-silver">It's always connecting to the Internet and sending data back to Microsoft</li>
	<li class="ph3 pv2 bb b--light-silver">You lack an amazing cli shell. No, I don't like Powershell</li>
	<li class="ph3 pv2 bb b--light-silver">The registry is worse than a million configuration files</li>
	<li class="ph3 pv2 bb b--light-silver">You're stuck with their annoying UI, which I don't like on 7, 8, nor 10.</li>
	<li class="ph3 pv2 bb b--light-silver">It's proprietary software, and subjugates you to arbitrary restrictions.</li>
	<li class="ph3 pv2 bb b--light-silver">And the list could go on...</li>
      </ul>

      <p class="f5 f3-ns lh-copy measure georgia">For these reasons and more, I stay away from Windows where I can, at least on my personal equipment. This may seem strange to some people, but it works really well for me.</p>
      
      <p class="f5 f4-ns lh-copy measure">That's all for now.</p>
  </div>

  <!--<div class="mw9 center pa4 pt5-ns ph7-l">
      <h3 class="f2 f1-m f-headline-s measure-narrow lh-title mv0">
        <span class="bg-dark-green lh-copy white pa1 tracked-tight" style="border-radius: 3px;">
         Languages I know:
        </span>
      </h3>
  </div>-->

  
</article>


</body>
</html>
